/* google-fonts */
/* @import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@300;400;500;600;700&display=swap'); */
@import './fonts-google.css';

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: 'Montserrat', sans-serif;
  background: linear-gradient(to right, #e2e2e2, #c9d6ff);

  min-height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  /* flex-direction: column; */
}

.container {
  background-color: #fff;
  border-radius: 30px;
  box-shadow: 0 5px 15px rgba(0, 0, 0, .35);

  width: 768px;
  max-width: 100%;
  min-height: 480px;
  position: relative;
  overflow: hidden;
}

.container a {
  color: #333;
  font-size: 13px;
  text-decoration: none;
  margin: 15px 0 10px;
}

.container span {
  font-size: 12px;
}

.container p {
  font-size: 14px;
  line-height: 20px;
  letter-spacing: .3px;
  margin-block: 20px;
}

.container button {
  background-color: #512da8;
  padding: 10px 45px;
  margin-top: 10px;
  border: 1px solid transparent;
  border-radius: 8px;

  color: #fff;
  font-size: 12px;
  font-weight: 600;
  letter-spacing: 0.5px;
  text-transform: uppercase;
  cursor: pointer;
}
.container button.hidden {
  background-color: transparent;
  border-color: #fff;
}

.container .form-container {
  position: absolute;
  top: 0;
  height: 100%;
  transition: all .6s ease-in-out;
}

.container .form-container.sign-in {
  left: 0;
  width: 50%;
  z-index: 2;
}
.container.active .form-container.sign-in {
  transform: translateX(100%);
}

.container .form-container.sign-up {
  left: 0;
  width: 50%;
  opacity: 0;
  z-index: 1;
}
.container.active .form-container.sign-up {
  transform: translateX(100%);
  opacity: 1;
  z-index: 5;
  animation: move .6s;
}
@keyframes move {
  0%,
  49.99% {
    opacity: 0;
    z-index: 1;
  }

  50%,
  100% {
    opacity: 1;
    z-index: 5;
  }
}

.container form {
  background-color: #fff;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding-inline: 40px;
  height: 100%;
}

.container form .social-icons {
  margin-block: 20px;
}
.container form .social-icons a {
  width: 40px;
  height: 40px;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  column-gap: 3px;
  
  border: 1px solid #ccc;
  border-radius: 20%;
}

.container form input { 
  width: 100%;
  background-color: #eee;
  border: none;
  margin-block: 8px;
  padding: 10px 15px;
  font-size: 13px;
  border-radius: 8px;
  outline: none;
}

.container .toggle-container {
  position: absolute;
  top: 0;
  left: 50%;
  z-index: 1000;

  width: 50%;
  height: 100%;
  overflow: hidden;
  transition: all .6s ease-in-out;
  border-radius: 150px 0 0 100px;
}
.container.active .toggle-container {
  transform: translateX(-100%);
  border-radius: 0 150px 100px 0;
}

.toggle {
  background: linear-gradient(to right, #5c6bc0, #512da8);
  color: #fff;

  position: relative;
  left: -100%;
  width: 200%;
  height: 100%;
  transform: translateX(0);
  transition: all .6s ease-in-out;
}
.container.active .toggle {
  transform: translateX(50%);
}

.toggle .toggle-panel {
  position: absolute;
  
  width: 50%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding-inline: 30px;
  text-align: center;
  transform: translateX(0);
  transition: all .6s ease-in-out;
}

.toggle-panel.toggle-left {
  transform: translateX(-200%);
}
.container.active .toggle-panel.toggle-left {
  transform: translateX(0);
}

.toggle-panel.toggle-right {
  right: 0;
  transform: translateX(0);
}
.container.active .toggle-panel.toggle-right {
  transform: translateX(200%);
}
